package com.iqser.red.service.persistence.management.v1.processor.utils;

import com.iqser.red.service.persistence.service.v1.api.shared.model.dossiertemplate.dossier.file.FileType;

import lombok.experimental.UtilityClass;

@UtilityClass
public final class StorageIdUtils {

    public static String getStorageId(String dossierId, String fileId, FileType fileType) {

        return dossierId + "/" + fileId + "." + fileType.name() + fileType.getExtension();
    }


    public static String getStorageId(String userId, String dossierId, String filename) {

        return userId + "/" + dossierId + "/" + filename;
    }


    public static String getStorageId(String userId, String dossierTemplateId) {

        return userId + "/" + dossierTemplateId;
    }


    public static String getReportStorageId(String dossierTemplateId, String fileName) {

        return dossierTemplateId + "/" + fileName;
    }

}
